com.independentsoft.exchange

## Class MeetingResponsePropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath
  - - com.independentsoft.exchange.MessagePropertyPath
    - - com.independentsoft.exchange.MeetingMessagePropertyPath
      - - com.independentsoft.exchange.MeetingResponsePropertyPath

-     public class MeetingResponsePropertyPath
      extends MeetingMessagePropertyPath

  The Class MeetingResponsePropertyPath.

- - ### Field Summary

    - ### Fields inherited from class com.independentsoft.exchange.MeetingMessagePropertyPath

      `APPOINTMENT_ID, DATE_TIME_STAMP, HAS_BEEN_PROCESSED, IS_DELEGATED, IS_OUT_OF_DATE, RECURRENCE_ID, RESPONSE_TYPE, UID`

    - ### Fields inherited from class com.independentsoft.exchange.MessagePropertyPath

      `BCC_RECIPIENTS, BODY_RTF, CC_RECIPIENTS, CONVERSATION_INDEX, CONVERSATION_TOPIC, DEFERRED_DELIVERY_TIME, DEFERRED_SEND_TIME, DISPLAY_CC, DISPLAY_TO, DUE_DATE, FLAG_COMPLETE_TIME, FLAG_ICON, FLAG_REQUEST, FLAG_STATUS, FROM, HIDE_ATTACHMENTS, IN_REPLY_TO, IN_REPLY_TO_ID, INTERNET_MESSAGE_HEADERS, INTERNET_MESSAGE_ID, IS_DELIVERY_RECEIPT_REQUESTED, IS_DRAFT, IS_FROM_ME, IS_READ, IS_READ_RECEIPT_REQUESTED, IS_RESEND, IS_RESPONSE_REQUESTED, IS_SUBMITTED, IS_UNMODIFIED, LAST_VERB_EXECUTED, MESSAGE_FLAGS, RECEIVED_BY, RECEIVED_REPRESENTING, RECEIVED_TIME, REFERENCES, REPLY_TO, RESPONSE_ITEMS, SENDER, SENT_TIME, START_DATE, TO_RECIPIENTS, VOTING_OPTIONS, VOTING_RESPONSE`

    - ### Fields inherited from class com.independentsoft.exchange.ItemPropertyPath

      `ARCHIVE_TAG, ATTACHMENTS, BLOCK_STATUS, BODY, BODY_HTML_TEXT, BODY_PLAIN_TEXT, CATEGORIES, COMMENT, CONVERSATION_ID, CREATED_TIME, CULTURE, DISPLAY_NAME, EFFECTIVE_RIGHTS, ENTITY_EXTRACTION_RESULT, ENTRY_ID, FLAG, GROUPING_ACTION, HAS_ATTACHMENTS, HAS_BLOCKED_IMAGES, ICON_INDEX, IMPORTANCE, INSTANCE_KEY, IS_ASSOCIATED, IS_HIDDEN, ITEM_CLASS, ITEM_ID, LAST_MODIFIED_TIME, LAST_MODIFIER_NAME, MIME_CONTENT, NEXT_PREDICTED_ACTION, PARENT_ID, PREVIEW, REMINDER_DUE_BY, REMINDER_IS_SET, REMINDER_MINUTES_BEFORE_START, RETENTION_DATE, RETENTION_TAG, SEARCH_KEY, SENSITIVITY, SIZE, STORE_ENTRY_ID, SUBJECT, TEXT_BODY, UNIQUE_BODY, WEB_CLIENT_EDIT_FORM_QUERY_STRING, WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths